package com.example.mymap;

import android.content.Context;
import android.util.Log;
import com.google.android.maps.MapView;
import com.google.android.maps.MyLocationOverlay;

public class CustomLocationOverlay extends MyLocationOverlay 
{
  private Context context;
  private MapView mapView;
  private final String TAG = "CustomLocationOverlay";

  public CustomLocationOverlay(Context c, MapView v) {
    super(c, v);
    context = c;
    mapView = v;
  } 

  @Override
  protected boolean dispatchTap() {
    mapView.getController().setZoom(15);
    return true;
  }
}


