package com.example.mymap;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.util.Log;
import com.google.android.maps.ItemizedOverlay;
import com.google.android.maps.OverlayItem;
import java.util.ArrayList;

public class ShowLocationOverlay extends ItemizedOverlay 
{
  private final String TAG = "ShowLocationOverlay";
  private ArrayList<OverlayItem> items = new ArrayList<OverlayItem>();

  public ShowLocationOverlay(Drawable marker) {
    super(boundCenterBottom(marker));
  } 

  @Override
  public int size() {
      return items.size();
  }

  public void addOverlay(OverlayItem overlay) {
    items.add(overlay);
    populate();
  }

  @Override
  protected OverlayItem createItem(int i) {
      return items.get(i);
  }

}


