import gtk
window=gtk.Window()

accelgroup = gtk.AccelGroup()
window.add_accel_group(accelgroup)

#this is the actual menu entry
newitem=gtk.MenuItem("Quit")
key, mod = gtk.accelerator_parse("<Control>Q")
newitem.add_accelerator("activate", accelgroup, key,mod, gtk.ACCEL_VISIBLE)
newitem.connect("activate",  lambda w: window.destroy())

#create a menu to put it in
filemenu = gtk.Menu()
filemenu.append(newitem)

#filemenu is the bit that is the actual menu entry on the menubar
filemenuheader = gtk.MenuItem("_File")
filemenuheader.set_submenu(filemenu)

#create a menubar
menubar = gtk.MenuBar()
menubar.append(filemenuheader)

#create a container for the main window and pack the menu and panes into it
vbox = gtk.VBox(False, 2)
vbox.pack_start(menubar, False, False, 0)
label=gtk.Label()
label.set_text("this is just \n a test.")
vbox.pack_start(label, True, True, 0)

window.set_title("Evil Menu Thing")
window.set_size_request(400, 200)
window.add(vbox)
window.connect("destroy",lambda x:  window.destroy())
window.show_all()
gtk.main()

