/*
Ode to Joy
Part of LXF arduino tutorial series
 */


enum { GG,A,B,C,D,E,F,G};

static const uint16_t frequency[] ={
                784, // GG
                880, //A
                988, //B
                1047,
                1175,
                1319,
                1397,
                1568//G
};

struct note{
  uint16_t pitch;
  uint8_t duration;
  uint8_t pause;
};


note tune[] ={  {E,10,12},{E,10,12},{F,10,12} ,{G,10,12},
                {G,10,12},{F,10,12},{E,10,12} ,{D,10,12},
                {C,10,12},{C,10,12},{D,10,12} ,{E,10,12},
                {E,12,14},{D,7,8},{D,24,32},
                
                {E,10,12},{E,10,12},{F,10,12} ,{G,10,12},
                {G,10,12},{F,10,12},{E,10,12} ,{D,10,12},
                {C,10,12},{C,10,12},{D,10,12} ,{E,10,12},
                {D,12,14},{C,7,8},{C,24,32},
                
                {D,10,12},{E,8,10},{C,10,11} ,{D,10,11},
                {E,7,8},{F,7,8},{E,10,12} ,{C,10,12},
                {D,10,12},{E,7,8},{F,7,8} ,{E,10,12},
                {D,12,14},{C,7,8},{D,10,12}, {GG,24,32},
                
                {E,10,12},{E,10,12},{F,10,12} ,{G,10,12},
                {G,10,12},{F,10,12},{E,10,12} ,{D,10,12},
                {C,10,12},{C,10,12},{D,10,12} ,{E,10,12},
                {D,12,14},{C,7,8},{C,24,32}
                };


void setup() {
  // iterate over the notes of the melody:
  //Serial.begin(9600);

}

void loop() {
  // no need to repeat the melody.
    
  for (int i = 0; i < (sizeof(tune)/4); i++) {
    tone(7,frequency[ tune[i].pitch], tune[i].duration*25);
    delay(tune[i].pause*25);
  }
  delay(20000);
}


